## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core
Class SQLExecutionJobListener

    java.lang.Object
      org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SQLExecutionJobListener

All Implemented Interfaces:
  org.eclipse.core.runtime.jobs.IJobChangeListener

    public class SQLExecutionJobListener

extends java.lang.Object
implements org.eclipse.core.runtime.jobs.IJobChangeListener

When the delta ddl scripts are successfully executed against the database, need to perform the following operations:

- 1.Refresh the edit model from the database and re-clone it;
- 2.Re-register the model listener for all the re-cloned SQL objects;
- 3.Refresh all the editor pages based on the refreshed SQL objects.

All these jobs will be delegated to `ISchemaObjectEditorHandler`.

Author:
  Idull

Constructor Summary
`SQLExecutionJobListener(ISchemaObjectEditor editor, org.eclipse.core.runtime.IProgressMonitor monitor)`

Method Summary
`void` `aboutToRun(org.eclipse.core.runtime.jobs.IJobChangeEvent event)`
`void` `awake(org.eclipse.core.runtime.jobs.IJobChangeEvent event)`
`void` `done(org.eclipse.core.runtime.jobs.IJobChangeEvent event)`
`void` `running(org.eclipse.core.runtime.jobs.IJobChangeEvent event)`
`void` `scheduled(org.eclipse.core.runtime.jobs.IJobChangeEvent event)`
`void` `sleeping(org.eclipse.core.runtime.jobs.IJobChangeEvent event)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLExecutionJobListener

    public SQLExecutionJobListener(ISchemaObjectEditor editor,
                                   org.eclipse.core.runtime.IProgressMonitor monitor)

Method Detail

### aboutToRun

    public void aboutToRun(org.eclipse.core.runtime.jobs.IJobChangeEvent event)

  Specified by:
    `aboutToRun` in interface `org.eclipse.core.runtime.jobs.IJobChangeListener`

### awake

    public void awake(org.eclipse.core.runtime.jobs.IJobChangeEvent event)

  Specified by:
    `awake` in interface `org.eclipse.core.runtime.jobs.IJobChangeListener`

### done

    public void done(org.eclipse.core.runtime.jobs.IJobChangeEvent event)

  Specified by:
    `done` in interface `org.eclipse.core.runtime.jobs.IJobChangeListener`

### running

    public void running(org.eclipse.core.runtime.jobs.IJobChangeEvent event)

  Specified by:
    `running` in interface `org.eclipse.core.runtime.jobs.IJobChangeListener`

### scheduled

    public void scheduled(org.eclipse.core.runtime.jobs.IJobChangeEvent event)

  Specified by:
    `scheduled` in interface `org.eclipse.core.runtime.jobs.IJobChangeListener`

### sleeping

    public void sleeping(org.eclipse.core.runtime.jobs.IJobChangeEvent event)

  Specified by:
    `sleeping` in interface `org.eclipse.core.runtime.jobs.IJobChangeListener`